/**

    Copyright 2007 Engineering Ingegneria Informatica S.p.A.

    This file is part of Spagic.

    Spagic is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    any later version.

    Spagic is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
    
**/
package org.spagic.registry.utils.test;

import java.util.List;
import java.util.Properties;


import javax.xml.registry.infomodel.ClassificationScheme;
import javax.xml.registry.infomodel.Organization;

import org.spagic.registry.utils.EBXMLServiceRegistryImpl;
import org.spagic.registry.utils.IServiceRegistry;
import org.spagic.registry.utils.JAXRServiceRegistry;
import org.spagic.registry.utils.UDDIServiceRegistryImpl;

public class TestFindService {
	public static void main(String[] args) {
		IServiceRegistry serviceRegistry = null;
		try{
//			Properties properties = new Properties();
//			properties.setProperty("javax.xml.registry.queryManagerURL", "http://localhost:8080/omar/registry/soap");
//			properties.setProperty("javax.xml.registry.lifeCycleManagerURL", "http://localhost:8080/omar/registry/soap");
//			properties.setProperty("registry.username", "eng");
//			properties.setProperty("registry.password", "engeng");
//			System.setProperty("jaxr-ebxml.home", "C:/Documents and Settings/butano/jaxr-ebxml");
			serviceRegistry = new EBXMLServiceRegistryImpl();
			serviceRegistry.initRegistry();
			List services = serviceRegistry.getServicesClassifiedByTaxonomy("Business", "CRM Services");
			System.out.println(services.size());
		}catch (Exception e) {
			e.printStackTrace();
		}finally{
			serviceRegistry.finalizeRegistry();
		}
		
	}
}
